| rfdc Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xrfdc_intr_example.c File Reference

## Overview

For the RFSoC Data Converter, the interrupts are mostly used for error reporting.

The interrupts do not do any data processing. Since they dont do any data processing, interrupts are invoked in rare conditions. The example here attempts to demonstrate users how an error interrupt can be generated. Also once generated how does the processing happen. Upon an interrupt, the control reaches to ScuGIC interrupt handler. From there the control is transferred to the libmetal isr handling which then calls the driver interrupt handler. Users are expected to register their callbacks with the driver interrupt framework. The actual interrupt handling is expected to happen in the user provided callback.

This example generates ADC fabric interrupts by writing some incorrect fabric data rate based on the read/write clocks.

For zcu111 board users are expected to define XPS_BOARD_ZCU111 macro while compiling this example.

This example is design specific, PL-PS Interrupts must be attached and The Stimulus/Capture Block device names/addresses may vary.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.0   sk     05/25/17 First release
    1.1   sk     08/09/17 Modified the example to support both Linux and
                          Baremetal.
    2.2   sk     10/18/17 Check for FIFO intr to return success.
    4.0   sd     04/28/18 Add Clock configuration support for ZCU111.
          sd     05/15/18 Updated Clock configuration for lmk.
    5.0   sk     08/03/18 For baremetal, add metal device structure for rfdc
                          device and register the device to libmetal generic bus.
          mus    08/18/18 Updated to remove xparameters.h dependency for linux
                          platform.
    6.0   cog    02/06/19 Updated for libmetal v2.0 and added configure PLL to
                          set clock to incompatible rate
          cog    06/08/19 Linux platform compatibility fixes.
    7.0   cog    07/25/19 Updated example for new metal register API.
    7.1   cog    01/24/20 Updated example for Gen3 and libmetal 2.0.
    8.0   cog    04/09/20 Fixed baremetal compilation bug.

## Functions
void | RFdcHandler (void *CallBackRef, u32 Type, int Tile_Id, u32 Block_Id, u32 StatusEvent)
| Callback handler. More...
int | main (void)
| Main function that invokes the polled example in this file. More...

## Function Documentation

int main | ( | void |  | ) |

Main function that invokes the polled example in this file.

Parameters

  None. |

Returns
  - XRFDC_SUCCESS if the example has completed successfully.
  - XRFDC_FAILURE if the example has failed.

Note
  None.

void RFdcHandler | ( | void * | CallBackRef,
|  | u32 | Type,
|  | int | Tile_Id,
|  | u32 | Block_Id,
|  | u32 | StatusEvent
| ) |  |

Callback handler.

Returns
  None

Note
  None.

References XRFdc_IntrDisable().